/**
 * Created by Tony on 2017/7/24.
 */

import mongoose from "mongoose";
let Schema = mongoose.Schema;

let rptTplPrjSchema = new Schema({
    "ID": Number,
    "ParentID": Number,
    "NextSiblingID": Number,
    "name": String,         //项目名称
    "location": String,     //工程地点
    "constructCompany": String,  //建设单位
    "supervisor": String,   //监理
    "auditor": String       //审核
});

let rptTplBillsSchema = new Schema({

});

let rptTplRationSchema = new Schema({

});

let tplPrjData = mongoose.model("tpl_data_projects", rptTplPrjSchema, "projects");
let tplBillsData = mongoose.model("tpl_data_bills", rptTplBillsSchema, "bills");
let tplRationData = mongoose.model("tpl_data_ration", rptTplRationSchema, "ration");

module.exports = {
    prjMdl: tplPrjData,
    billsMdl: tplBillsData,
    rationMdl: tplRationData
};
